Subject: Re: [netatalk-admins] Multi-zone routing

From: Hans Gerwitz <[email-masked]>
Date: Thu, 5 Mar 1998 08:32:36 -0600

>Hans Gerwitz wrote:
>> 
>> Please read patiently, I don't want to leave anything out:
>> 
>
>> Said another way: NBP registration for seeded networks does not reliably
>> broadcast to the non-seed backbone, but is reliable on that and other
>> seeded nets.
>> 
>> Finally, some possibly relevant information.  I am getting frequent
>> syslog errors from atalkd that read:
>> "rhrouter atalkd[160]: as_timer sendto: Network is unreachable"
>> 
>> These come in spurts of about 6 every 20 minutes or so.
>> 
>> As I write this, I just received a number of these messages from atalkd:
>> "rhrouter atalkd[160]: nbp brrq sendto 22921.0: No buffer space available"
>> 
>> There were many of these, each for a different network number (all to the
>> .0 broadcast), but not one for every network number on our net.  I should
>> note that our AppleTalk network here is a mess, with many, many Novell
>> servers that have been improperly set up to seed the backbone, and to
>> define zones, even though they do not have subnets (some of these had
>> subnets that have been removed, most were simply copied from existing
>> misconfigured servers from admin that don't know any better.)  The router
>> I've described, though, is the only one experiencing this problem, and
>> the Novell-based one it replaced did not experience this, using the same
>> network numbers in the same location.
>> 
>> Thanks in advance for any help you can offer.
>
>I did the kernel port of the netatalk stack.
>Unfortunatly we don;t have a sufficiently comprehensive atalk network
>here however for me to test some of the more complicated scenarios.
>Some part that I think may be broken...
>
>1/ handling some loopback situations
>2/ handling some broadcast situations.
>
>
>	 don;t know enough about the higher level protocols to be
>able to guess what is wrong and am hoping that people such as 
>yourself will be able to give mem good descriptions of what is not
>If I can get good descriptions, 
>e.g. "loopback packets to my own atalk address do not get back to me"
>tehn I can fix them (this was actually the case in 2.2.5 without the
>patches in the 2.2.5 erratum page).
>
>you DID apply those patches to 2.2.5 right?

No, I probably didn't!  I don't recall finding any patches when I first 
set up this machine (a while back).  I feel like an idiot, but will apply 
those tonight and let the list know if that solves my problem.  If not, I 
will attempt to narrow down the cause of the problem on the low-level 
protocol end.  Thanks for the response,

 . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
Hans Gerwitz                                   [email-masked]
Academic Computing Development, Information Technology Services
Saint Louis University                    <http://www.slu.edu/>